#pragma used+

#define R0 *((volatile unsigned char *) 0x00)
#define R1 *((volatile unsigned char *) 0x01)
#define Z *((volatile unsigned int *) 0x1E)

#define SPM_PAGESIZE 64
#define ZPAGEMSB 5
#define ZPAGELSB 1
#define ZPCMSB 12
#define ZPCLSB 6

void boot_spm_busy_wait();
void boot_page_fill(unsigned int address, unsigned int data);
void boot_page_write(unsigned long int address);
void boot_page_erase(unsigned long int address);
void boot_rww_enable();

#pragma used-
#pragma library boot.lib